clear all
close all

tol = 1.0e-10;

set(0,'defaultAxesFontSize',17);
set(0,'defaultAxesFontName','Times');
set(0,'defaultTextFontSize',17);
set(0,'defaultTextFontName','Times');
val_s = {'EFT', 'EIP', 'EVP', 'UFT','UPT','NLF'};


% recession
start=[datenum('03-01-2001') datenum('12-01-2007')];
finish=[datenum('11-01-2001') datenum('06-01-2009')];

initial_year = 1996;
start_GR = 144+1;
end_GR = 167+1;

cd xxx\Margin_adjust_detail
close all
startDate = datenum('01-01-1996');
endDate = datenum('12-01-2018');
xData = linspace(startDate,endDate,12*(2019-initial_year));
Data = csvread('decomposition1996_2018.csv',1,0);
Stock = csvread('stock_data1996_2018.csv',1,0);
stock_name = {'from EF', 'from EP', 'from UF', 'from UP', 'from NLF', 'error'};
num_stock = 5;
num_column_for_each = (size(Data,2)-2)/num_stock;
temp = zeros(size(Data,1),num_column_for_each,num_stock);  
add = num_stock+3;
yy = 3;  % The 1st and 2nd columns of `Data' store times.
for i = 1:num_stock
    temp(:,:,i)= 100.*Data(:,yy:yy+add-1); 
    yy = yy+add;
end
zzz = permute(temp,[3 2 1]);    % 1st dimension... labor market state;  2nd dimension... other labor market states; 3rd dimension... time 
period = length(zzz(1,1,:));

zzz_rate = zeros(size(zzz));
yy_index = 2;
for t = 1:period
    for i =1:num_stock
        zzz_rate(i,:,t) = zzz(i,:,t)./Stock(t,yy_index +i); 
    end
end

average_zzz_rate = mean(zzz_rate,3);
average_zzz_rate_GR = mean(zzz_rate(:,:,start_GR:end_GR),3);
dif_GR_average = average_zzz_rate_GR - average_zzz_rate;
table_gr = transpose(dif_GR_average(:,1:end-1));


[status, msg, msgID] = mkdir('decomposition_table_2008M1_2009M12');
oldFolder = cd('xxx\decomposition_table_2008M1_2009M12');
csvwrite('table_decomposition_GR_2008M1_2009M12.csv',table_gr)

cd(oldFolder)





    

