%%%%%%%%%%%%%%%%%%%%%%%%%%% ESTIMATION
estimated_params;
psinu,		0.60,,,beta_pdf, 0.5, 0.15;
etak, 		2.15,0.0,,normal_pdf, 4.0, 1.5;
h_c,     	0.7,,,beta_pdf, 0.7, 0.15;
inv_varrho, 	0.20,,,gamma_pdf,0.25,0.25;
eta_ful,   	0.78,,,beta_pdf, 0.5, 0.15;
eta_pat,   	0.66,,,beta_pdf, 0.5, 0.15;
bb,    		0.7,,,beta_pdf, 0.7, 0.05;
eps_phi,   	0.65,,,uniform_pdf,,, 0,1;
theta_w_ful, 	0.35,,,beta_pdf, 0.50, 0.15;
theta_w_pat, 	0.10,,,beta_pdf, 0.50, 0.15;
iota_w,  	0.80,,,beta_pdf, 0.5, 0.15;
theta_p, 	0.85,,,beta_pdf, 0.50, 0.15;
iota_p,  	0.60,,,beta_pdf, 0.50, 0.15;
epsilon_p, 	1.35,1.0,,normal_pdf, 1.15, 0.05;
phipi,   	1.50,1.0,,gamma_pdf, 1.5, 0.30;
phiy,    	0.12,,,gamma_pdf, 0.15, 0.1;
phir,    	0.80,,,beta_pdf, 0.75, 0.15;
zstar,  	0.30,,,gamma_pdf, 0.34, 0.05;
rnstar, 	1.29,,,gamma_pdf, 1.22, 0.05;
pistar,	 	0.70,,,gamma_pdf, 0.69, 0.05;

rhoz,   	0.20,,,beta_pdf, 0.5, 0.2;
rhob,   	0.37,,,beta_pdf, 0.5, 0.2;
rhoi,   	0.86,,,beta_pdf, 0.5, 0.2;
rhop,  		0.10,,,beta_pdf, 0.5, 0.2;
rhog,  		0.95,,,beta_pdf, 0.5, 0.2;
rhor,   	0.15,,,beta_pdf, 0.5, 0.2;
rhowf,  	0.12,,,beta_pdf, 0.5, 0.2;
rhowp,  	0.67,,,beta_pdf, 0.5, 0.2;
rhophi,  	0.91,,,beta_pdf, 0.5, 0.2;


stderr e_z,  	0.85,,,inv_gamma_pdf, 0.50, 1.5;
stderr e_b,  	2.07,,,inv_gamma_pdf, 0.50, 1.5;
stderr e_i,  	2.56,,,inv_gamma_pdf, 0.50, 1.5;
stderr e_p,  	0.11,,,inv_gamma_pdf, 0.50, 1.5;
stderr e_g,  	0.40,,,inv_gamma_pdf, 0.50, 1.5;
stderr e_r,  	0.25,,,inv_gamma_pdf, 0.50, 1.5;
stderr e_wf,  	3.60,,,inv_gamma_pdf, 0.50, 1.5;
stderr e_wp,  	4.80,,,inv_gamma_pdf, 0.50, 1.5;
stderr e_phi,  	2.20,,,inv_gamma_pdf, 0.50, 1.5;

end;


varobs 
dy_obs  dc_obs  di_obs  dw_obs  pi_obs  rn_obs n_obs w_fp_obs	l_fp_obs;

estimation(order=1,
datafile=data_file_est, 
mode_check, 
mh_replic = 700000, 
mh_nblocks=2, 
mh_jscale=0.315, 
mode_compute=6,
bayesian_irf,
smoother,
moments_varendo,
contemporaneous_correlation,
ar = 5
) dy_obs  di_obs dw_obs w_fp_obs pi_obs y y_ful y_pat n_ful n_pat s_ful s_pat u_ful u_pat x_ful x_pat u uf n_agg hour_per_person rho_ful n_ful_cf n_pat_cf u_cf;


stoch_simul;
shock_decomposition(parameter_set=posterior_mean) dy_obs dc_obs di_obs dw_obs  pi_obs w_fp_obs l_fp_obs u n_ful n_pat rho_ful;


